Bio::Map::LinkageMap(3)

NAME
Bio::Map::LinkageMap - A representation of a genetic linkage map.

SYNOPSIS
    use Bio::Map::LinkageMap;
        # create a new map
    my $map = Bio::Map::LinkageMap->new(-name => 'Chads Superterriffic Map',
                                      -type => 'Linkage',
                                      -units=> 'cM');
        # create the location of a marker for that map
    my $position = Bio::Map::LinkagePosition->new( -positions => 1,
                -distance => "22.3");
        # create a marker and place it at that position
    my $marker = Bio::Map::Marker::Microsatellite->new(
                        -name => 'SuuuperMarker',
                        -position => $position);
        # place that marker on that map
    $map->add_element($marker);

        # done!

DESCRIPTION
This object describes the basic functionality of a genetic linkage map in Bioperl. Each 'position' can have one or more markers that map some number of units from the markers at the previous position.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Chad Matsalla
Email bioinformatics1@dieselwurks.com

CONTRIBUTORS
Lincoln Stein lstein@cshl.org Heikki Lehvaslaiho heikki-at-bioperl-dot-org Jason Stajich jason@bioperl.org Sendu Bala bix@sendu.me.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $linkage_map = Bio::Map::LinkageMap->new();
 Function: Builds a new Bio::Map::LinkageMap object
 Returns : Bio::Map::LinkageMap
 Args    : -name    => the name of the map (string) [optional]
               -type    => the type of this map (string, defaults to Linkage) [optional]
           -species => species for this map (Bio::Species) [optional]
           -units   => the map units (string, defaults to cM) [optional]
           -elements=> elements to initialize with
                       (arrayref of Bio::Map::MappableI objects) [optional]
           -uid      => Unique ID of this map

  length
 Title   : length
 Usage   : my $length = $map->length();
 Function: Retrieves the length of the map. In the case of a LinkageMap, the
               length is the sum of all marker distances.
 Returns : An integer representing the length of this LinkageMap. Will return
               0 if length is not calculateable
 Args    : None.

  add_element($marker)
 Title   : add_element($marker)
 Usage   : $map->add_element($marker)
 Function: Add a Bio::Map::MappableI object to the Map
 Returns : none
 Args    : Bio::Map::MappableI object
 Notes   : It is strongly recommended that you use a
           Bio::Map::LinkagePosition as the position in any
           Bio::Map::Mappable that you create to place on this
           map. Using some other Bio::Map::Position might work but might
           be unpredictable.
           N.B. I've added Bio::Map::OrderedPosition which should achieve
                similar things from LinkagePosition and will work for
                RH markers too.